| Flutter Impeller |

Public Member Functions | List of all members
impeller::AtlasGeometry Class Referenceabstract

`#include <atlas_contents.h>`

Inheritance diagram for impeller::AtlasGeometry:

## Public Member Functions
virtual bool | ShouldUseBlend () const =0
virtual bool | ShouldSkip () const =0
virtual VertexBuffer | CreateSimpleVertexBuffer (HostBuffer &host_buffer) const =0
virtual VertexBuffer | CreateBlendVertexBuffer (HostBuffer &host_buffer) const =0
virtual Rect | ComputeBoundingBox () const =0
virtual std::shared_ptr< Texture > | GetAtlas () const =0
virtual const SamplerDescriptor & | GetSamplerDescriptor () const =0
virtual BlendMode | GetBlendMode () const =0

## Detailed Description

Definition at line 19 of file atlas_contents.h.

## Member Function Documentation

## ◆ ComputeBoundingBox()

virtual Rect impeller::AtlasGeometry::ComputeBoundingBox | ( |  | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::GetCoverage().

## ◆ CreateBlendVertexBuffer()

virtual VertexBuffer impeller::AtlasGeometry::CreateBlendVertexBuffer | ( | HostBuffer & | host_buffer | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ CreateSimpleVertexBuffer()

virtual VertexBuffer impeller::AtlasGeometry::CreateSimpleVertexBuffer | ( | HostBuffer & | host_buffer | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ GetAtlas()

virtual std::shared_ptr<Texture> impeller::AtlasGeometry::GetAtlas | ( |  | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ GetBlendMode()

virtual BlendMode impeller::AtlasGeometry::GetBlendMode | ( |  | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ GetSamplerDescriptor()

virtual const SamplerDescriptor& impeller::AtlasGeometry::GetSamplerDescriptor | ( |  | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ ShouldSkip()

virtual bool impeller::AtlasGeometry::ShouldSkip | ( |  | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

## ◆ ShouldUseBlend()

virtual bool impeller::AtlasGeometry::ShouldUseBlend | ( |  | ) | const
| pure virtual

Implemented in impeller::DlAtlasGeometry.

Referenced by impeller::AtlasContents::Render().

The documentation for this class was generated from the following file:

- impeller/entity/contents/atlas_contents.h